#ifndef H_MAIN_NARS_H
#define H_MAIN_NARS_H

typedef float	mrReal;

#define REAL_TO_INT(real)	((int)((real) + 0.5))

extern int main(int argc, char *argv[]) ;
extern int countFileColsAndRows( FILE *fp, /* in: Data file */ int *ncol, /* out: # of cols */ int *nlines /* out Estimated # lines */ ) ;
static int countCols( char *line, /* in: Line with data */ int maxLen /* in: Maximum line length */ ) ;
extern void readData( FILE *fp, /* in: Data file */ int ncol, /* out: # of cols */ int nlines, /* out Estimated # lines */ mrReal **x, /* i/o: Inputs */ mrReal **y /* i/o: Targets */ ) ;
extern void bootStrapSample( int ncol, /* in # of cols */ int nlines, /* in:# rows */ mrReal *Xdata, /* in: Data - inputs */ mrReal *Ydata, /* in: Data - Targets */ mrReal **Xsample, /* out: Bootstarp sample - inputs */ mrReal **Ysample /* out: Bootstarp sample - outputs */ ) ;

#endif
